Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# equal_n_fn< const pixel< T, Cs > *, const pixel< T, Cs > * > Struct Template Reference

`#include <algorithm.hpp>`

Inherited by equal_n_fn< pixel< T, Cs > *, pixel< T, Cs > * >.

List of all members.

## Detailed Description

### template<typename T, typename Cs>
struct boost::gil::detail::equal_n_fn< const pixel< T, Cs > *, const pixel< T, Cs > * >

Equal when both ranges are interleaved and of the same type. GIL pixels are bitwise comparable, so memcmp is used. User-defined pixels that are not bitwise comparable need to provide an overload

## Public Member Functions

GIL_FORCEINLINE bool | operator() (const pixel< T, Cs > *i1, std::ptrdiff_t n, const pixel< T, Cs > *i2) const

The documentation for this struct was generated from the following file:

- algorithm.hpp